<?php  global $themename, $input_prefix;

/*****************/
/* Theme Details */

$themename = "Handmade";
$themeid = "handmade";
$productid = "1650";
$presstrendsid = "7t9ub5pms08lv42xfofs3mue5tgfhoacj";

/**********************/
/* Include OCMX files */
$include_folders = array("/ocmx/includes/", "/ocmx/theme-setup/", "/ocmx/widgets/", "/ocmx/front-end/", "/ajax/");

// This is a hack, to avoid the "headers already sent by...." error which pops up when you call pages directly from wp-admin/ like edit.php for example	
if(check_allow_ocmx() == true) :
	$include_folders[] = "/ocmx/interface/";
endif;
include_once (get_template_directory()."/ocmx/folder-class.php");
include_once (get_template_directory()."/ocmx/load-includes.php");
include_once (get_template_directory()."/ocmx/custom.php");

/**********************/
/* "Hook" up the OCMX */

update_option("ocmx_font_support", true);
add_action('init', 'ocmx_add_scripts');
add_theme_support( 'woocommerce' );

function add_widgetized_pages(){
	global $wpdb;
	$get_widget_pages = $wpdb->get_results("SELECT * FROM ".$wpdb->postmeta." WHERE `meta_key` = '_wp_page_template' AND  `meta_value` = 'widget-page.php'");
	foreach($get_widget_pages as $pages) :
		$post = get_post($pages->post_id);
		register_sidebar(array("name" => $post->post_title." Gallery", "id" => $post->post_title."-featured_post_gallery", "description" => "Place all 'Home Page Widgets' here."));
		register_sidebar(array("name" => $post->post_title." Widgets", "id" => $post->post_title."-page_widgets", "description" => "Place all 'Home Page Widgets' here.", "before_title" => '<h4 class="widgettitle">', "after_title" => '</h4>', 'before_widget' => '<li id="%1$s" class="widget %2$s"><div class="content">', 'after_widget' => '</div></li>'));
	endforeach;
}
add_action("init", "add_widgetized_pages");

/*********************/
/* Load Localization */
load_theme_textdomain('ocmx', get_template_directory() . '/lang');

/***********************/
/* Add OCMX Menu Items */

add_action('admin_menu', 'ocmx_add_admin');
function ocmx_add_admin() {
	global $wpdb;
	
	add_object_page("Theme Options", "Theme Options", 'manage_options', basename(__FILE__), '', get_template_directory_uri(). '/ocmx/images/ocmx.png');
	add_submenu_page(basename(__FILE__), "General Options", "General", "edit_theme_options", basename(__FILE__), 'ocmx_general_options');
	add_submenu_page(basename(__FILE__), "Typography", "Typography", "edit_theme_options", "ocmx-fonts", 'ocmx_font_options');
	add_submenu_page(basename(__FILE__), "Adverts", "Adverts", "edit_theme_options",  "ocmx-adverts", 'ocmx_advert_options');
	add_submenu_page(basename(__FILE__), "Help", "Help", "edit_theme_options", "obox-help", 'ocmx_welcome_page');
	
};

/*****************/
/* Add Nav Menus */

if (function_exists('register_nav_menus')) :
	register_nav_menus( array(
		'primary' => __('Primary Navigation', $themename)
	) );
endif;

/************************************************/
/* Fallback Function for WordPress Custom Menus */

function ocmx_fallback() {
	echo '<ul id="nav" class="clearfix">';
	wp_list_pages('title_li=&');
	echo '</ul>';
}

/***********************************************************************/
/* Set the parameters which allow the /interface/ folder to be included*/

function check_allow_ocmx(){
	return true;
}


/**************************/
/* WP 3.4 Support         */
global $wp_version;
if ( version_compare( $wp_version, '3.4', '>=' ) ) 
	add_theme_support( 'custom-background' ); 
	add_theme_support( 'post-thumbnails' ); 
	add_theme_support( 'automatic-feed-links' ); 

if ( ! isset( $content_width ) ) $content_width = 800;

/******************************************************************************/
/* Each theme has their own "No Posts" styling, so it's kept in functions.php */

function ocmx_no_posts(){ ?>
<li class="post transparent-container">					
    <div class="content clearfix">
        <h3 class="post-title"><a href="#"><?php _e("Nothing Here", "ocmx"); ?></a></h3>
        <div class="post-meta clearfix"></div>
        <div class="copy <?php echo $image_class; ?>">
             <?php _e("Your search results didn't find anything or there are no posts to display.", "ocmx"); ?>
        </div>
	</div>
</li>
<?php 
}
/**************************/
/* Set the Excerpt Length */
function new_excerpt_length($length) {
	return 35;
}
function new_excerpt_more($more) {
	return '...';
}
add_filter('excerpt_length', 'new_excerpt_length');
add_filter('excerpt_more', 'new_excerpt_more');

/****************/
/* Image Sizes */

function ocmx_setup_image_sizes() {

	add_image_size('570x441', 570, 441, true);
	add_image_size('270x195', 270, 195, true);
	add_image_size('460x340', 460, 340, true);
	add_image_size('300x245', 300, 245, true);
	add_image_size('220x180', 220, 180, true);
	add_image_size('100x100', 100, 100, true);
	add_image_size('340', 340);
	add_image_size('580auto', 580);
	add_image_size('880auto', 880);
  
}
add_action( 'after_setup_theme', 'ocmx_setup_image_sizes' );

// Add custom CSS take over

function ocmx_add_query_vars($query_vars) {
	$query_vars[] = 'stylesheet';
	return $query_vars;
}
add_filter( 'query_vars', 'ocmx_add_query_vars' );
function ocmx_takeover_css() {
	    $style = get_query_var('stylesheet');

	    if($style == "custom") {
		    include_once(get_template_directory(). '/style.php');
	        exit;
	    }
	}
add_action( 'template_redirect', 'ocmx_takeover_css');

/**************************/
/* Facebook Support      */
function get_fbimage() {
	global $post;
	if ( !is_single() ){
		return '';
	}
	$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), '', '' );
	$fbimage = null;
	if ( has_post_thumbnail($post->ID) ) {
		$fbimage = $src[0];
	} else {
		global $post, $posts;
		$fbimage = '';
		$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i',
		$post->post_content, $matches);
		if(!empty($matches[1]))
			$fbimage = $matches [1] [0];
	}
	if(empty($fbimage)) {
		$fbimage = get_the_post_thumbnail($post->ID);
	}
	return $fbimage;
}

/**************************/
/* WooCommerce Support          */

// Redefine wooCommerce related products
function woo_related_products_limit( $args) {
  global $product; 

	$args['posts_per_page'] = 2;
	return $args;
}
add_filter( 'woocommerce_related_products_args', 'woo_related_products_limit' );
/*-----------------------------------------------------------------------------------*/
/* Hook in on activation */
/*-----------------------------------------------------------------------------------*/

global $pagenow;
if ( is_admin() && isset( $_GET['activated'] ) && $pagenow == 'themes.php' ) add_action('init', 'handmade_woocommerce_image_dimensions', 1);

/*-----------------------------------------------------------------------------------*/
/* Define image sizes / hard crop */
/*-----------------------------------------------------------------------------------*/

function handmade_woocommerce_image_dimensions() {

// Image sizes
update_option( 'woocommerce_thumbnail_image_width', '260' ); // Image gallery thumbs
update_option( 'woocommerce_thumbnail_image_height', '260' );
update_option( 'woocommerce_single_image_width', '888' ); // Featured product image
update_option( 'woocommerce_single_image_height', '888' );
update_option( 'woocommerce_catalog_image_width', '350' ); // Product category thumbs
update_option( 'woocommerce_catalog_image_height', '350' );

// Hard Crop [0 = false, 1 = true]
update_option( 'woocommerce_thumbnail_image_crop', 0 );
update_option( 'woocommerce_single_image_crop', 0 );
update_option( 'woocommerce_catalog_image_crop', 0 );

}

function handmade_body_class_template_archives($classes) {
  if (is_page() AND is_page_template('archives')) { $classes[] = 'page-template-archives'; }
  return $classes;
}
add_filter('body_class', 'handmade_body_class_template_archives');