<?php
/*
	Template Name: Gallery List
*/

get_header();

$parentpage = get_template_link("gallery.php");
$cat_list = get_terms("gallery-category", "orderby=count&hide_empty=0");
$layout = get_post_meta($post->ID, "layout", true);
if($layout == "one-column") :
	$nextul = 1;
elseif($layout == "two-column") :
	$nextul = 2;
else :
	$nextul = 3;
endif;

$i = 1;

$orderby = get_post_meta($post->ID, "orderby", true);
$order = get_post_meta($post->ID, "order", true);

$args = array( 
	"post_type" => "gallery", 
	"orderby" => $orderby, 
	"order" => $order, 
	"post_status" => "publish", 
	"showposts" => "-1"
);

$gallery = new WP_Query($args);

while (have_posts() ) : the_post(); ?>

	<h2 class="page-title"><?php the_title(); ?></h2>
	
	<?php if ($cat_list != "") : ?>
		<ul class="gallery-category-list">
			<?php foreach($cat_list as $tax) :
				$link = get_term_link($tax->slug, "gallery-category");
				echo "<li><a href=\"$link\">".$tax->name."</a></li>";
			endforeach; ?>
		</ul>
	<?php endif; ?>
<?php endwhile; ?>
<div class="copy">
	<?php the_content(); ?>
</div>
<ul class="<?php echo $layout ;?> gallery-list clearfix">
	<?php while ($gallery->have_posts() ) : $gallery->the_post();
		get_template_part("functions/gallery-list"); ?>
	<?php endwhile; ?>
</ul>
	
<?php get_footer(); ?>