<?php
function ocmx_add_custom_meta(){
	global $obox_meta, $layout;
	$obox_meta = array(
		"media" => array (
			"name" => "other_media",
			"default" => "",
			"label" => "Image",
			"desc" => "Select a feature image to use for your post. This will set the WordPress Featured Image automatically.",
			"input_type" => "image",
			"input_size" => "50",
			"img_width" => "535",
			"img_height" => "255"
		),
		"video" => array (
			"name" => "video_link",
			"default" => "",
			"label" => "Video Link",
			"desc" => "Provide your video link instead of the embed code and we'll use <a href='http://codex.wordpress.org/Embeds' target='_blank'>oEmbed</a> to translate that into a video.",
			"input_type" => "text"
		),
		"embed" => array (
			"name" => "main_video",
			"default" => "",
			"label" => "Embed Code",
			"desc" => "Input the embed code of your video here.",
			"input_type" => "textarea"
		)
	);

	$layout = array(
		"layout" => array (
			"name" => __("layout",'ocmx'),
			"default" => __("",'ocmx'),
			"label" => __("Layout",'ocmx'),
			"desc" => __("Select the layout of your Gallery list when using the \"Gallery List\" page template",'ocmx'),
			"input_type" => __("select",'ocmx'),
			"options" => array(__("Single Column",'ocmx') => "one-column", __("Two Column",'ocmx') => "two-column", __("Three Column",'ocmx') => "three-column")
		),
		"orderby" => array (
			"name" => __("orderby",'ocmx'),
			"default" => __("",'ocmx'),
			"label" => __("Order By",'ocmx'),
			"desc" => __("Select the 'order by' of your Gallery list.",'ocmx'),
			"input_type" => __("select",'ocmx'),
			"options" => array(__("Post Date",'ocmx') => "date", __("Post Title",'ocmx') => "title", __("Random",'ocmx') => "rand", __("Manual Order",'ocmx') => "menu_order")
		),
		"order" => array (
			"name" => __("order",'ocmx'),
			"default" => __("",'ocmx'),
			"label" => __("Order",'ocmx'),
			"desc" => __("Select the order of your Gallery list.",'ocmx'),
			"input_type" => __("select",'ocmx'),
			"options" => array(__("Descending",'ocmx') => "desc", __("Ascending",'ocmx') => "asc")
		)
	);

}
add_action( 'init', 'ocmx_add_custom_meta' );

function create_meta_box_ui() {
	global $post, $layout, $obox_meta;
	if(get_post_type($post->ID) == "page") :
		$obox_meta = array_merge($obox_meta);
	endif;
	if(strpos(get_page_template(), 'gallery.php')) :
		$obox_meta = array_merge($layout, $obox_meta);
	endif;

	post_meta_panel($post->ID, $obox_meta);
}


function insert_obox_metabox($pID) {
	global $post, $obox_meta, $layout;

	wp_reset_postdata();
	if(get_post_type($post) == "page") :
		$obox_meta = array_merge($obox_meta);
	endif;
	if( isset( $post ) && strpos(get_page_template(), 'gallery.php')) :
		$obox_meta = array_merge($obox_meta, $layout);
	endif;

	if(!isset($meta_added) && !empty($post)):
		if(get_post_type() == "gallery") :
			post_meta_update($post->ID, $obox_meta, $layout);
		else :
			post_meta_update($post->ID, $obox_meta);
		endif;
	endif;
	$meta_added = 1;
}

function add_obox_meta_box() {
	if (function_exists('add_meta_box') ) {
		add_meta_box('obox-meta-box',$GLOBALS['themename'].' Options','create_meta_box_ui','post','normal','high');
		add_meta_box('obox-meta-box',$GLOBALS['themename'].' Options','create_meta_box_ui','page','normal','high');
		add_meta_box('obox-meta-box',$GLOBALS['themename'].' Options','create_meta_box_ui','product','normal','high');
		add_meta_box('obox-meta-box',$GLOBALS['themename'].' Options','create_meta_box_ui','gallery','normal','high');
	}
}

function my_page_excerpt_meta_box() {
	add_meta_box( 'postexcerpt', __('Excerpt', 'ocmx'), 'post_excerpt_meta_box', 'page', 'normal', 'core' );
}

add_action('admin_menu', 'add_obox_meta_box');
add_action('admin_menu', 'my_page_excerpt_meta_box');
add_action('admin_head-post-new.php', 'ocmx_change_metatype');
add_action('admin_head-post.php', 'ocmx_change_metatype');
add_action('save_post', 'insert_obox_metabox');
add_action('publish_post', 'insert_obox_metabox');  ?>