<?php
function ocmx_add_scripts()
	{
		global $themeid;

		//Add support for 2.9 and 3.0 functions and setup jQuery for theme
		wp_enqueue_script("jquery");
		if(!is_admin()) :
			wp_enqueue_script( $themeid . "-ajaxupload", get_template_directory_uri()."/scripts/ajaxupload.js", array( "jquery" ) );
			wp_enqueue_script( $themeid . "-resize", get_template_directory_uri()."/scripts/jquery.resize.end.js", array( "jquery" ) );
			wp_enqueue_script( $themeid . "superfish", get_template_directory_uri()."/scripts/superfish.js", array( "jquery" ) );
			wp_enqueue_script( $themeid . "-lightbox", get_bloginfo("template_directory")."/scripts/jquery.lightbox-0.5.js", array( "jquery" ) );
			wp_enqueue_script( $themeid . "-jquery",get_template_directory_uri()."/scripts/".$themeid."_jquery.js", array( "jquery" ) );
			wp_enqueue_script( $themeid . "-portfolio", get_template_directory_uri()."/scripts/portfolio.js", array( "jquery" ) );
			wp_enqueue_script( $themeid . "-selfhosted", get_template_directory_uri()."/scripts/selfhosted.js", array( "jquery" ) );
			wp_enqueue_script( $themeid . "-jplayer", get_template_directory_uri()."/scripts/jquery.jplayer.min.js", array( "jquery" ) );
			wp_enqueue_script( $themeid . "-fitvid", get_template_directory_uri()."/scripts/jquery.fitvids.js", array( "jquery" ) , '', true);

			wp_register_style('googleFonts1', '//fonts.googleapis.com/css?family=Cantarell:400,700,400italic');
			wp_enqueue_style( 'googleFonts1');
			wp_register_style('googleFonts2', '//fonts.googleapis.com/css?family=Neuton');
			wp_enqueue_style( 'googleFonts2');
			wp_register_style('googleFonts3', '//fonts.googleapis.com/css?family=Copse');
			wp_enqueue_style( 'googleFonts3');


			if ( is_singular() ) wp_enqueue_script( "comment-reply" );

			//Localization
			wp_localize_script( $themeid."-jquery", "ThemeAjax", array( "ajaxurl" => admin_url( "admin-ajax.php" ) ) );
		else :
			/* Back-end */
			wp_enqueue_script( 'jquery-ui-draggable' );
			wp_enqueue_script( 'jquery-ui-droppable' );
			wp_enqueue_script( 'jquery-ui-sortable' );
			wp_enqueue_script( 'jquery-ui-tabs' );
			wp_enqueue_script( "ajaxupload", get_template_directory_uri()."/scripts/ajaxupload.js", array( "jquery" ) );
			wp_enqueue_script( "ocmx-jquery", get_template_directory_uri()."/scripts/ocmx_jquery.js", array( "jquery" ) );
			wp_enqueue_script( "ocmx-multifile", get_template_directory_uri()."/scripts/multifile.js", array( "jquery" ) );
			wp_localize_script( "ocmx-jquery", "ThemeAjax", array( "ajaxurl" => admin_url( "admin-ajax.php" ) ) );
		endif;

		add_action( 'wp_ajax_ocmx_save-options', 'update_ocmx_options');
		add_action( 'wp_ajax_ocmx_reset-options', 'reset_ocmx_options');
		add_action( 'wp_ajax_ocmx_ads-refresh', 'ocmx_ads_refresh' );
		add_action( 'wp_ajax_ocmx_ads-remove', 'ocmx_ads_remove' );
		add_action( 'wp_ajax_ocmx_layout-refresh', 'ocmx_layout_refresh' );
		add_action( 'wp_ajax_ocmx_ajax-upload', 'ocmx_ajax_upload' );
		add_action( 'wp_ajax_ocmx_remove-image', 'ocmx_ajax_remove_image' );
		add_action( 'wp_ajax_nopriv_ocmx_cart_display', 'ocmx_cart_display'  );
		add_action( 'wp_ajax_ocmx_cart_display', 'ocmx_cart_display' );


		wp_enqueue_style( 'welcome-page', get_template_directory_uri() . '/ocmx/welcome-page.css');
	}
?>