<?php function ocmx_theme_options(){
	global $obox_meta, $theme_options;
	if(!isset($theme_options))
		$theme_options = array();
	$theme_options["general_site_options"] =
			array(
				array("label" => "Custom Logo", "description" => "Full URL or folder path to your custom logo.", "name" => "ocmx_custom_logo", "default" => "", "id" => "upload_button", "input_type" => "file", "args" => array("width" => 90, "height" => 75)),
				array("label" => "Favicon", "description" => "Select a favicon for your site", "name" => "ocmx_custom_favicon", "default" => "", "id" => "upload_button_favicon", "input_type" => "file", "sub_title" => "favicon", "args" => array("width" => 16, "height" => 16)),	
				array("label" => "Custom Login Logo", "description" => "Select a custom login logo, recommended dimensions (326px x 82px)", "name" => "ocmx_custom_login", "default" => "", "id" => "upload_button_login", "input_type" => "file", "sub_title" => "login logo", "args" => array("width" => 326, "height" => 82)),   
				array(
					"main_section" => "Facebook Sharing Options",
					"main_description" => "Set a default image URL to appear on Facebook shares if no featured image is found. Recommended size 200x200.",
					"sub_elements" =>
						array(
							array("label" => "Disable OpenGraph?", "description" => "Select No if you want to disable the theme's OpenGraph support(do this only if using a conflicting plugin)", "name" => "ocmx_open_graph", "default" => "no", "id" => "ocmx_open_graph", "input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no')
							),

							array("label" => "Image URL", "description" => "", "name" => "ocmx_site_thumbnail", "sub_title" => "Open Graph image", "default" => "", "id" => "upload_button_ocmx_site_thumbnail", "input_type" => "file", "args" => array("width" => 200, "height" => 200)
							)
						)
				),
				array(
					"main_section" => "Custom Styling",
					"main_description" => "Set your own custom social buttons and CSS for any element you wish to restyle.",
					"sub_elements" => 
						array(
				  
							array("label" => "Custom CSS", "description" => "Enter changed classes from the theme stylesheet, or custom CSS here.", "name" => "ocmx_custom_css", "default" => "", "id" => "ocmx_custom_css", "input_type" => "memo"),
							array("label" => "Social Widget Code", "description" => "Paste the template tag or code for your social sharing plugin here.", "name" => "ocmx_social_tag", "default" => "", "id" => "", "input_type" => "memo"),
							 )
					),
				array(
				"main_section" => "Full Posts or Excerpts?",
				"main_description" => "Select whether to show full posts or excerpts in your archives/ blog list.",
				"sub_elements" => 
				array(
						array("label" => "Content Length", "description" => "Selecting excerpts will show the Read More link.","name" => "ocmx_content_length", "default" => "yes", "id" => "ocmx_content_length", "input_type" => 'select', 'options' => array('Show Excerpts' => 'yes', 'Show Full Post Content' => 'no'))
						 )
					 ),
					 
				array(
				"main_section" => "Tagline",
				"main_description" => "Select whether to show the blog tagline or eCommerce cart.",
				"sub_elements" => 
				array(
						array("label" => "Tagline", "description" => "","name" => "ocmx_custom_tagline", "default" => "yes", "id" => "ocmx_custom_tagline", "input_type" => 'select', 'options' => array('Display Site Tagline' => 'tagline', 'Display Shopping Cart' => 'cart', 'No Tagline' => 'none'))
						 )
					 ),
					 
				array(
						"main_section" => "Post Meta",
						"main_description" => "These settings control which post meta is displayed in posts.",
						"sub_elements" => 
							array(							
								array("label" => "Show Date on Posts", "description" => "Uncheck to hide the date. ","name" => "ocmx_meta_date_post", "", "default" => "true", "id" => "ocmx_meta_date_post", "input_type" => "checkbox"),
								array("label" => "Show Author Box on Posts", "description" => "Uncheck to hide the author. ","name" => "ocmx_meta_author_post", "", "default" => "true", "id" => "ocmx_meta_author_post", "input_type" => "checkbox"),
								array("label" => "Show Author Link on Post List", "description" => "Uncheck to hide the author link. ","name" => "ocmx_meta_author", "", "default" => "false", "id" => "ocmx_meta_author", "input_type" => "checkbox"),
								array("label" => "Comment Link", "description" => "Uncheck to hide comment link in archives", "name" => "ocmx_meta_comments", "default" => "false", "id" => "ocmx_meta_comments", "input_type" => "checkbox"),
								array("label" => "Show Category Link", "description" => "Uncheck to hide the category link. ","name" => "ocmx_meta_category", "", "default" => "false", "id" => "ocmx_meta_category", "input_type" => "checkbox"),
								array("label" => "Tags", "description" => "Check to show tags on single posts", "name" => "ocmx_meta_tags", "default" => "false", "id" => "ocmx_meta_tags", "input_type" => "checkbox"),
								array("label" => "Social Sharing on Posts", "description" => "Uncheck to hide the Sharing buttons on posts and products.", "name" => "ocmx_meta_social_post", "default" => "true", "id" => "ocmx_meta_social_post", "input_type" => "checkbox"),
								array("label" => "Next & Previous Posts", "description" => "Uncheck to hide Next and Previous post links in posts and gallery items", "name" => "ocmx_meta_post_links", "default" => "false", "id" => "ocmx_meta_post_links", "input_type" => "checkbox")
							)
						),
				array(
						"main_section" => "Page Meta",
						"main_description" => "These settings control which post meta is displayed in pages.",
						"sub_elements" => 
							array(
								array("label" => "Show Date on Pages", "description" => "Uncheck to hide the date. ","name" => "ocmx_meta_date_page", "", "default" => "false", "id" => "ocmx_meta_date_page", "input_type" => "checkbox"),
								array("label" => "Show Author on Pages", "description" => "Uncheck to hide the author. ","name" => "ocmx_meta_author_page", "", "default" => "false", "id" => "ocmx_meta_author_page", "input_type" => "checkbox"),
								array("label" => "Social Sharing on Pages", "description" => "Uncheck to hide the Sharing buttons on posts and products.", "name" => "ocmx_meta_social_page", "default" => "false", "id" => "ocmx_meta_social", "input_type" => "checkbox"),
							)
						),
				array("label" => "Custom RSS URL", "description" => "Paste the URL to your custom RSS feed, such as Feedburner.", "name" => "ocmx_rss_url", "default" => "", "id" => "", "input_type" => "text"),	   
				array(
					"main_section" => "Press Trends Analytics",
					"main_description" => "Select Yes Opt out. No personal data is collected.",
					"sub_elements" => 
					array(
						array("label" => "Disable Press Trends?", "description" => "PressTrends helps Obox build better themes and provide awesome support by retrieving aggregated stats. PressTrends also provides a <a href='http://wordpress.org/extend/plugins/presstrends/' title='PressTrends Plugin for WordPress' target='_blank'>plugin for you</a> that delivers stats on how your site is performing against similar sites like yours. <a href='http://www.presstrends.me' title='PressTrends' target='_blank'>Learn more</a>.","name" => "ocmx_disable_press_trends", "default" => "no", "id" => "ocmx_disable_press_trends", "input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no'))
						 )
					 )
			);
					
	$theme_options["footer_options"] = array(
				array("label" => "Custom Footer Text", "description" => "", "name" => "ocmx_custom_footer", "default" => "Copyright ".date("Y")." Handmade was created in WordPress by Obox Themes."	, "id" => "ocmx_custom_footer", "input_type" => "memo"),
				array("label" => "Hide Obox Logo", "description" => "Hide the Obox Logo from the footer.", "name" => "ocmx_logo_hide", "default" => "false", "id" => "ocmx_logo_hide", "input_type" => "checkbox"),
				array("label" => "Site Analytics", "description" => "Enter in the Google Analytics Script here.","name" => "ocmx_googleAnalytics", "default" => "", "id" => "","input_type" => "memo")
	);
	
	
	$theme_options["blog_home_options"] =
	array(
		array("label" => "Post Count", "description" => "Number of Posts to display on the Home Page (Used only with the 'Regular Blog' layout).", "name" => "ocmx_home_page_posts", "default" => "5", "id" => "", "input_type" => "select", "options" => array("1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10", "15" => "15", "20" => "20")),
		array("label" => "Category", "description" => "Which Category will we display on the Home Page (Used only with the 'Regular Blog' layout)?", "name" => "ocmx_home_page_categories", "default" => "", "id" => "", "input_type" => "select", "options" => "loop_categories"),
	);
$theme_options["preset_home_options"] =
	array(
		array(
			"main_section" => "Feature Post Gallery",
			"main_description" => "Select which posts will be used for the Hompage Post Slider.",
			"sub_elements" => 
				array(
					array("label" => "Category", "description" => "", "name" => "ocmx_feature_post_cat", "default" => "0", "id" => "ocmx_feature_post_cat", "input_type" => "select", "options" => "loop_categories"),
					array("label" => "Post Count", "description" => "", "name" => "ocmx_feature_post_count", "default" => "0", "id" => "ocmx_feature_post_count", "input_type" => "select", "options" => array("1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10")),
			)			
		),
		array(
				"main_section" => "Three-Column",
				"main_description" => "Select options for your three columns.",
				"sub_elements" => 
					array(
						array("label" => "Category", "description" => "", "name" => "ocmx_three_col_cat", "default" => "0", "zero_wording" => "Exclude this Widget", "id" => "ocmx_feature_post_cat", "input_type" => "select", "options" => "loop_categories"),
						
						array("label" => "Post Count", "description" => "", "name" => "ocmx_three_col_post_count", "default" => "0", "id" => "", "input_type" => "select", "options" => array("3" => "3", "6" => "6", "9" => "9", "12" => "12")),
							
						array("label" => "Show Images/Video?", "description" => "", "name" => "ocmx_three_images", "default" => "0", "id" => "", "input_type" => "select", "options" => array("Images" => "1", "Videos" => "0", "None" => "none")),
						
						array("label" => "Show Post Dates?", "description" => "", "name" => "ocmx_three_col_meta", "default" => "0", "zero_wording" => "Yes", "id" => "", "input_type" => "select", "options" => array("Yes" => "on", "No" => "off")),
						
						array("label" => "Show Excerpt", "description" => "", "name" => "ocmx_three_col_excerpt", "default" => "0", "zero_wording" => "Yes", "id" => "", "input_type" => "select", "options" => array("Yes" => "on", "No" => "off"))

					)
			),
		array(
				"main_section" => "Two Column",
				"main_description" => "Select a category for the Two Column posts on the home page..",
				"sub_elements" => 
					array(
						array("label" => "Category", "description" => "", "name" => "ocmx_two_col_cat", "default" => "0", "zero_wording" => "Exclude this Widget", "id" => "ocmx_feature_post_cat", "input_type" => "select", "options" => "loop_categories"),
						
						array("label" => "Post Count", "description" => "", "name" => "ocmx_two_col_post_count", "default" => "0", "id" => "", "input_type" => "select", "options" => array("2" => "2", "4" => "4", "8" => "8", "12" => "12")),
							
						array("label" => "Show Images/Video?", "description" => "", "name" => "ocmx_two_images", "default" => "0", "zero_wording" => "Yes", "id" => "", "input_type" => "select", "options" => array("Yes" => "on", "No" => "off")),
						
						array("label" => "Show Post Dates?", "description" => "", "name" => "ocmx_two_col_meta", "default" => "0", "zero_wording" => "Yes", "id" => "", "input_type" => "select", "options" => array("Yes" => "on", "No" => "off")),
						
						array("label" => "Show Excerpt", "description" => "", "name" => "ocmx_two_col_excerpt", "default" => "0", "zero_wording" => "Yes", "id" => "", "input_type" => "select", "options" => array("Yes" => "on", "No" => "off"))
					)
			)
	);
$theme_options["widget_home_options"] =
		array(
			array(
					"label" => "Widgetized", "description" => "You can use the <strong>Obox - Home Page</strong> widgets listed in <a href=\"widgets.php\">Appearance > Widgets</a> to customize your home page.", "input_type" => "hidden"
				)
		);
	
	$theme_options["home_page_options"] = array(
		array(
			"label" => "Home Page Layout",
			"description" => "Select whether you'd like to have a Blog home page with a sidebar, or use the business layout.",
			"name" => "ocmx_home_page_layout", "default" => "preset",
			"id" => "ocmx_home_page_layout",
			"input_type" => "hidden",
			"default" => "preset",
			"options" => 
				array(
					"blog" => array("label" => "Blog", "description" => "Set your home page to display like a normal blog.", "load_options" => "widget_home_options"),
					"preset" => array("label" => "Preset", "description" => "Mimic the exact layout of our theme demo.", "load_options" => "preset_home_options"),
					"widget" => array("label" => "Widget Driven", "description" => "Take control by setting up your home page with widgets.")
				)
		)
	);
	
	$theme_options["sidebar_options"] = array(
		array(
				"label" => "Sidebar Layout",
				"description" => "",
				"name" => "ocmx_sidebar_layout", "default" => "sidebarright",
				"id" => "ocmx_sidebar_layout",
				"input_type" => "hidden",
				"default" => "sidebarright",
				"options" => 
					array(
							"sidebarleft" => array("label" => "Sidebar Left", "description" => "", "image" => get_template_directory_uri()."/ocmx/images/sidebar-left.png"),
							"sidebarnone" => array("label" => "No Sidebar", "description" => "", "image" => get_template_directory_uri()."/ocmx/images/sidebar-none.png"),
							"sidebarright" => array("label" => "Sidebar Right", "description" => "", "image" => get_template_directory_uri()."/ocmx/images/sidebar-right.png"),
						)
				)
	);
	
	$theme_options["small_ad_options"] = array(
		array(
				"label" => "Number of Small Ads", 
				"description" => "When using the select box, you must click \"Save Changes\" before the blocks are added or removed.", 
				"name" => "ocmx_small_ads", 
				"id" =>  "ocmx_small_ads",
				"prefix" => "ocmx_small_ad",
				"default" => "0", 
				"input_type" => "select", 
				"options" => array("None" => "0", "1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10"), 
				"args" => array("width" => 125, "height" => "125")
			)
	  );

	$theme_options["medium_ad_options"] = array( 
		array(
				"label" => "Number of Medium Ads", 
				"description" => "", 
				"name" => "ocmx_medium_ads", 
				"id" =>  "ocmx_medium_ads",
				"prefix" => "ocmx_medium_ad", 
				"default" => "0", 
				"input_type" => "select", 
				"options" => array("None" => "0", "1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10"), 
				"args" => array("width" => 300, "height" => "250")
			)
		);
	
}
add_action("init", "ocmx_theme_options"); 
	
/***************************************************************************/
/* Setup Defaults for this theme for optiosn which aren't set in this page */
if(is_admin() && !get_option(isset($themeid)."-defaults")) :
	update_option("ocmx_general_font_style_default", "'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
	update_option("ocmx_navigation_font_style_default", "'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
	update_option("ocmx_sub_navigation_font_style_default", "'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
	update_option("ocmx_post_font_titles_style_default", "'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
	update_option("ocmx_post_font_meta_style_default", "'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
	update_option("ocmx_post_font_copy_font_style_default", "'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
	update_option("ocmx_widget_font_titles_font_style_default", "'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
	update_option("ocmx_widget_footer_titles_font_size_default", "'proxima-nova', 'Proxima Nova', 'Helvetica Neue'");
	
	
	update_option("ocmx_general_font_color_default", "#333");
	update_option("ocmx_navigation_font_color_default", "#777");
	update_option("ocmx_sub_navigation_font_color_default", "#333");
	update_option("ocmx_post_titles_font_color_default", "#333");
	update_option("ocmx_post_meta_font_color_default", "#999");
	update_option("ocmx_post_copy_font_color_default", "#333");
	update_option("ocmx_widget_titles_font_color_default", "#999");
	update_option("ocmx_widget_footer_titles_font_color_default", "#999");
	
	update_option("ocmx_general_font_size_default", "17");
	update_option("ocmx_navigation_font_size_default", "12");
	update_option("ocmx_sub_navigation_font_size_default", "12");
	update_option("ocmx_post_titles_font_size_default", "10");
	update_option("ocmx_post_meta_font_size_default", "13");
	update_option("ocmx_post_copy_font_size_default", "17");
	update_option("ocmx_widget_titles_font_size_default", "15");
	update_option("ocmx_widget_footer_titles_font_size_default", "15");
	update_option($themeid."-defaults", 1);
endif;
update_option("allow_gallery_effect", "1");

add_action("switch_theme", "remove_ocmx_gallery_effects"); 
function remove_ocmx_gallery_effects(){delete_option("allow_gallery_effect");}; ?>