<?php
class feature_posts_widget extends WP_Widget {
    /** constructor */
	function __construct() {
		$widget_ops = array( 'classname' => 'featured-content-gallery', 'description' => 'Home Page Widget - Display featured posts or products in a gallery layout.' );
		parent::__construct( 'feature_posts_widget', '(Obox) Featured Content Gallery', $widget_ops );
	}
    /** @see WP_Widget::widget */
    function widget($args, $instance) {
		global $woocommerce;

		// Turn $args array into variables.
		extract( $args );
		
		// Turn $instance array into variables
		$instance_defaults = array ('display_limit' => '7');
		$instance_args = wp_parse_args( $instance, $instance_defaults );
		extract( $instance_args, EXTR_SKIP );
		
		if(isset($instance["post_thumb"]))
			$post_thumb = esc_attr($instance["post_thumb"]);
		if(isset($post_thumb) && $post_thumb == "true"):
			$post_thumb = 1;
		else :
			$post_thumb = 0;
		endif;

		// Setup the post filter if it's defined
		if(isset($postfilter) && isset($instance[$postfilter]))
			$filterval = esc_attr($instance[$postfilter]);
		else
			$filterval = 0;	 

		if(isset($postfilter) && $postfilter != "" && $filterval != "0") :
			$args = array(
				"post_type" => $posttype,
				"posts_per_page" => 1,
				"tax_query" => array(
					array(
						"taxonomy" => $postfilter,
						"field" => "slug",
						"terms" => $filterval
					)
				)
			);
		else :
			$args = array(
				"post_type" => $posttype,
				"posts_per_page" => 1
			);
		endif;
		// Set the post order
		if(isset($post_order_by)) :
			$args['order'] = $post_order;
			$args['orderby'] = $post_order_by;
		endif;
		?>

		<div class="feature-post clearfix">

			<ul>
	   			<?php

				$loop = new WP_Query($args);
				while ( $loop->have_posts() ) : $loop->the_post();
				$imgargs  = array('postid' => $loop->post->ID, 'width' => 570, 'height' => 441, 'hide_href' => false, 'exclude_video' => true, 'resizer' => '570x441');
				$image = get_obox_media($imgargs);
				global $product;

				?>

					<li class="gallery-item">

						<?php if($posttype == "product") : ?>

	                    	<a href="<?php echo get_permalink( $loop->post->ID ) ?>">
								<?php if ($image !=""){ echo $image; }else { echo '<img src="'.$woocommerce->plugin_url().'/assets/images/placeholder.png" alt="Placeholder" width="570px" height="441px" />'; } ?>
							</a>
	                        <div class="price-overlay">
	                            <span class="slider-price">
	                                <a href="<?php echo get_permalink( $loop->post->ID ) ?>"><?php echo $product->get_price_html(); ?></a>
	                            </span>
	                            <h3 class="post-title"><a href="<?php echo get_permalink( $loop->post->ID ) ?>"><?php the_title(); ?></a></h3>
                                <?php woocommerce_template_loop_add_to_cart( $loop->post, $product ); ?>
	                        </div>


						<?php else : ?>

	                        <?php echo $image; ?>
	                        <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

						<?php endif; ?>

					</li>

				<?php endwhile; ?>


	       		<?php
       			if($display_limit > 0)
	       			$display_limit--;


				if(isset($postfilter) && $postfilter != "" && $filterval != "0") :
					$args = array(
						"post_type" => $posttype,
						"posts_per_page" => $display_limit,
						'offset' => 1,
						"tax_query" => array(
							array(
								"taxonomy" => $postfilter,
								"field" => "slug",
								"terms" => $filterval
							)
						)
					);
				else :
					$args = array(
						"post_type" => $posttype,
						"posts_per_page" => $display_limit,
						'offset' => 1
					);
				endif;
				// Set the post order
				if(isset($post_order_by)) :
					$args['order'] = $post_order;
					$args['orderby'] = $post_order_by;
				endif;
				$loop2 = new WP_Query($args);

				while ( $loop2->have_posts() ) : $loop2->the_post();
				$imgargs  = array('postid' => $loop2->post->ID, 'width' => 270, 'height' => 195, 'hide_href' => false, 'exclude_video' => true, 'resizer' => '270x195');
				$image = get_obox_media($imgargs);
				global $product;

				?>
					<li class="gallery-item">

                    	<?php if(isset($posttype) && $posttype == "product") : ?>

                            <a href="<?php echo get_permalink( $loop2->post->ID ) ?>">
                                <?php if ($image !=""){ echo $image;} else {echo '<img src="'.$woocommerce->plugin_url().'/assets/images/placeholder.png" alt="Placeholder" width="270px" height="195px" />'; }?>
                            </a>

                            <div class="price-overlay">
                                <span class="slider-price">
                                    <a href="<?php echo get_permalink( $loop2->post->ID ) ?>"><?php echo $product->get_price_html(); ?></a>
                                </span>
                                <h3 class="post-title"><a href="<?php echo get_permalink( $loop2->post->ID ) ?>"><?php the_title(); ?></a></h3>
                                <?php woocommerce_template_loop_add_to_cart( $loop2->post, $product ); ?>
                            </div>

						<?php else : ?>

                            <?php echo $image; ?>
                            <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

                        <?php endif; ?>
	                </li>

	            <?php endwhile; ?>
	        </ul>
       </div>

<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
    	// Turn $instance array into variables
		$instance_defaults = array ( 'excerpt_length' => 80, 'posttype' => '');
		$instance_args = wp_parse_args( $instance, $instance_defaults );
		extract( $instance_args, EXTR_SKIP );
		
		// Setup the post filter if it's defined
		if(isset($postfilter) && isset($instance[$postfilter]))
			$filterval = esc_attr($instance[$postfilter]); 

		$post_type_args = array("public" => true, "exclude_from_search" => false, "show_ui" => true);
		$post_types = get_post_types( $post_type_args, "objects");
		
?>
		<p>
			<label for="<?php echo $this->get_field_id('posttype'); ?>">Display</label>
           	<select size="1" class="widefat" id="<?php echo $this->get_field_id("posttype"); ?>" name="<?php echo $this->get_field_name("posttype"); ?>">
           		<option <?php if($posttype == ""){echo "selected=\"selected\"";} ?> value="">--- Select a Content Type ---</option>
 				<?php foreach($post_types as $post_type => $details) : 
					if($post_type != 'attachment') : ?>
	                	<option <?php if($posttype == $post_type){echo "selected=\"selected\"";} ?> value="<?php echo $post_type; ?>"><?php echo $details->labels->name; ?></option>
 				<?php endif;
				endforeach; ?>
            </select>
        </p>

        <?php if($posttype != "" && $posttype !="page") : 
			if($posttype != "page" && $post_type != 'attachment') : 
				$taxonomyargs = array('post_type' => $posttype, "public" => true, "exclude_from_search" => false, "show_ui" => true);
				$taxonomies = get_object_taxonomies($taxonomyargs,'objects');
				if(!empty($taxonomies)) : ?>
					<p>
						<label for="<?php echo $this->get_field_id('postfilter'); ?>">Filter by</label>
			           	<select size="1" class="widefat" id="<?php echo $this->get_field_id("postfilter"); ?>" name="<?php echo $this->get_field_name("postfilter"); ?>">
			           		<option <?php if(isset($postfilter) && $postfilter == ""){echo "selected=\"selected\"";} ?> value="">--- Select a Filter ---</option>
			 				<?php foreach($taxonomies as $taxonomy => $details) : ?>
				                <option <?php if(isset($postfilter) && $postfilter == $taxonomy){echo "selected=\"selected\"";} ?> value="<?php echo $taxonomy; ?>"><?php echo $details->labels->name; ?></option>
			 				<?php $validtaxes[] = $taxonomy;
			 				endforeach; ?>
			            </select>
			        </p>
		        <?php endif;
				endif;
		        if(isset($postfilter) != "" && ( (is_array(isset($validtaxes)) && in_array($postfilter, $validtaxes)) || !is_array(isset($validtaxes)) ) ) :
					$tax = get_taxonomy($postfilter);
					$terms = get_terms($postfilter, "orderby=count&hide_empty=0"); ?>
					<p><label for="<?php echo $this->get_field_id($postfilter); ?>"><?php if(isset($tax->labels->name)) echo $tax->labels->name; ?></label>
			           <select size="1" class="widefat" id="<?php echo $this->get_field_id($postfilter); ?>" name="<?php echo $this->get_field_name($postfilter); ?>">
			                <option <?php if(isset($filterval) == 0){echo "selected=\"selected\"";} ?> value="0">All</option>
			                <?php foreach($terms as $term => $details) :?>
								<option  <?php if($filterval == $details->slug){echo "selected=\"selected\"";} ?> value="<?php echo $details->slug; ?>"><?php echo $details->name; ?></option>
			                <?php endforeach;?>
			            </select>
			        </p>
			    <?php endif; ?>
			<?php endif; ?>
             <p><label for="<?php echo $this->get_field_id('display_limit'); ?>">Post Count</label>
                <select size="1" class="widefat" id="<?php echo $this->get_field_id('display_limit'); ?>" name="<?php echo $this->get_field_name('display_limit'); ?>">
                    <?php for($i = 1; $i < 16; $i++) : ?>
                        <option <?php if($display_limit == $i) : ?>selected="selected"<?php endif; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                    <?php endfor; ?>
                </select>
            </p>
             <?php  // Setup the order values
		$order_params = array("date" => "Date", "title" => "Title", "rand" => "Random", "count" => "Comment Count", "menu_order" => "Manual Order"); ?>
		<p>
			<label for="<?php echo $this->get_field_id('post_order_by'); ?>"><?php _e("Order By", "ocmx"); ?></label>
			<select size="1" class="widefat" id="<?php echo $this->get_field_id('post_order_by'); ?>" name="<?php echo $this->get_field_name('post_order_by'); ?>">
				<?php foreach($order_params as $value => $label) :?>
					<option  <?php if(isset($post_order_by) && $post_order_by == $value){echo "selected=\"selected\"";} ?> value="<?php echo $value; ?>"><?php echo $label; ?></option>
				<?php endforeach;?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('post_order'); ?>"><?php _e("Order", "ocmx"); ?></label>
			<select size="1" class="widefat" id="<?php echo $this->get_field_id('post_order'); ?>" name="<?php echo $this->get_field_name('post_order'); ?>">
				<option <?php if(!isset($post_order) || isset($post_order) && $post_order == "DESC") : ?>selected="selected"<?php endif; ?> value="DESC"><?php _e("Descending", 'ocmx'); ?></option>
				<option <?php if(isset($post_order) && $post_order == "ASC") : ?>selected="selected"<?php endif; ?> value="ASC"><?php _e("Ascending", 'ocmx'); ?></option>
			</select>
		</p>
<?php
	} // form

}// class

//This sample widget can then be registered in the widgets_init hook:

// register FooWidget widget
add_action('widgets_init', create_function('', 'return register_widget("feature_posts_widget");'));

?>