<?php
get_header();
$term = get_term_by( 'slug', get_query_var('term' ), get_query_var( 'taxonomy' ) );
$cat_list = get_terms("gallery-category", "orderby=count&hide_empty=0");
$parentpage = get_template_link("gallery.php");
$layout = get_post_meta($parentpage->ID, "layout", true);

if($layout == "one-column") :
	$nextul = 1;
elseif($layout == "two-column") :
	$nextul = 2;
else :
	$nextul = 3;
endif;

$i = 1;

$orderby = get_post_meta($parentpage->ID, "orderby", true);
$order = get_post_meta($parentpage->ID, "order", true);

$args = array( 
	"post_type" => "gallery", 
	"orderby" => $orderby, 
	"order" => $order, 
	"post_status" => "publish", 
	"showposts" => "-1",
	"tax_query" => array(
		array(
			'taxonomy' => 'gallery-category',
			'field' => 'slug',
			'terms' => $term->slug
		)
	)
);

$gallery = new WP_Query($args);

?>

<h2 class="page-title"><?php echo $term->name; ?></h2>

<?php if ($cat_list != "") : ?>
	<ul class="gallery-category-list">
		<li><a href="<?php  echo get_permalink($parentpage->ID); ?>"><?php _e("All", "ocmx"); ?></a></li>
		<?php foreach($cat_list as $tax) :
			$link = get_term_link($tax->slug, "gallery-category");
			$class = "";
			if($tax->term_id == $term->term_id)
				$class = "class=\"selected\"";
			echo "<li><a href=\"$link\" $class>".$tax->name."</a></li>";
		endforeach; ?>
	</ul>
<?php endif; ?>

<ul class="<?php echo $layout ;?> gallery-list clearfix">
	<?php while ($gallery->have_posts() ) : $gallery->the_post();
		get_template_part("functions/gallery-list"); ?>
	<?php endwhile; wp_reset_query(); ?>
</ul>


<?php get_footer(); ?>

